#perl -pi -e "s|5.8.3|5.8.4|" *.spec


%define framework kde-cli-tools

Summary:        Tools based on KDE Frameworks 5 to better interact with the system
Name:           %framework
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{version}/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

BuildRequires:  kcoreaddons-devel
BuildRequires:  kauth-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kcompletion-devel
BuildRequires:  sonnet-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kpty-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  karchive-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kinit-devel
BuildRequires:  knotifications-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  solid-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kconfig-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kdesu-devel
BuildRequires:  kwindowsystem-devel

%description
Tools based on KDE Frameworks 5 to better interact with the system

%files
%_kf5_bindir
%_kf5_datadir
%_kf5_libexecdir
%_kf5_libdir

%prep
%setup -q -n %framework-%version


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

# remove conflicts for now
rm -f %{buildroot}%{_mandir}/man1/kdesu.1
rm -rf %{buildroot}/%{_datadir}/locale
rm -fr %{buildroot}%{_docdir}/HTML

mkdir -p %buildroot/%{_libdir}/kf5
ln -fs %_libexecdir/kf5/kdesu %buildroot/%{_libdir}/kf5/kdesu
ln -fs %_libexecdir/kf5/kdesu %buildroot/%_kf5_bindir/kdesu


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

